

#include "BUILTIN.h"

#include "Nat.h"
extern OBJ _AEQUALITY_2(OBJ,OBJ);extern OBJ __AEQUALITY_2;

#include "UnixFailures.h"
extern OBJ _AUnixFailures_AnotOwner_(OBJ);OBJ __AUnixFailures_AnotOwner_; /* notOwner? */
extern OBJ _AUnixFailures_AnoEntity_(OBJ);OBJ __AUnixFailures_AnoEntity_; /* noEntity? */
extern OBJ _AUnixFailures_AnoSuchProcess_(OBJ);OBJ __AUnixFailures_AnoSuchProcess_; /* noSuchProcess? */
extern OBJ _AUnixFailures_AinterruptedSystemCall_(OBJ);OBJ __AUnixFailures_AinterruptedSystemCall_; /* interruptedSystemCall? */
extern OBJ _AUnixFailures_AioError_(OBJ);OBJ __AUnixFailures_AioError_; /* ioError? */
extern OBJ _AUnixFailures_AnoSuchDeviceOrAddr_(OBJ);OBJ __AUnixFailures_AnoSuchDeviceOrAddr_; /* noSuchDeviceOrAddr? */
extern OBJ _AUnixFailures_AargListToLong_(OBJ);OBJ __AUnixFailures_AargListToLong_; /* argListToLong? */
extern OBJ _AUnixFailures_AexecFormat_(OBJ);OBJ __AUnixFailures_AexecFormat_; /* execFormat? */
extern OBJ _AUnixFailures_AbadFileNumber_(OBJ);OBJ __AUnixFailures_AbadFileNumber_; /* badFileNumber? */
extern OBJ _AUnixFailures_AnoChildren_(OBJ);OBJ __AUnixFailures_AnoChildren_; /* noChildren? */
extern OBJ _AUnixFailures_AnoMoreProcesses_(OBJ);OBJ __AUnixFailures_AnoMoreProcesses_; /* noMoreProcesses? */
extern OBJ _AUnixFailures_AnotEnoughMemory_(OBJ);OBJ __AUnixFailures_AnotEnoughMemory_; /* notEnoughMemory? */
extern OBJ _AUnixFailures_ApermissionDenied_(OBJ);OBJ __AUnixFailures_ApermissionDenied_; /* permissionDenied? */
extern OBJ _AUnixFailures_AbadAddress_(OBJ);OBJ __AUnixFailures_AbadAddress_; /* badAddress? */
extern OBJ _AUnixFailures_AdeviceBusy_(OBJ);OBJ __AUnixFailures_AdeviceBusy_; /* deviceBusy? */
extern OBJ _AUnixFailures_AfileExists_(OBJ);OBJ __AUnixFailures_AfileExists_; /* fileExists? */
extern OBJ _AUnixFailures_AcrossDeviceLink_(OBJ);OBJ __AUnixFailures_AcrossDeviceLink_; /* crossDeviceLink? */
extern OBJ _AUnixFailures_AnoSuchDevice_(OBJ);OBJ __AUnixFailures_AnoSuchDevice_; /* noSuchDevice? */
extern OBJ _AUnixFailures_AnoDirectory_(OBJ);OBJ __AUnixFailures_AnoDirectory_; /* noDirectory? */
extern OBJ _AUnixFailures_AisDirectory_(OBJ);OBJ __AUnixFailures_AisDirectory_; /* isDirectory? */
extern OBJ _AUnixFailures_AinvalidArgument_(OBJ);OBJ __AUnixFailures_AinvalidArgument_; /* invalidArgument? */
extern OBJ _AUnixFailures_AfileTableOverflow_(OBJ);OBJ __AUnixFailures_AfileTableOverflow_; /* fileTableOverflow? */
extern OBJ _AUnixFailures_AtooManyOpenFiles_(OBJ);OBJ __AUnixFailures_AtooManyOpenFiles_; /* tooManyOpenFiles? */
extern OBJ _AUnixFailures_AnoTTY_(OBJ);OBJ __AUnixFailures_AnoTTY_; /* noTTY? */
extern OBJ _AUnixFailures_AfileTooLarge_(OBJ);OBJ __AUnixFailures_AfileTooLarge_; /* fileTooLarge? */
extern OBJ _AUnixFailures_AnoSpaceOnDevice_(OBJ);OBJ __AUnixFailures_AnoSpaceOnDevice_; /* noSpaceOnDevice? */
extern OBJ _AUnixFailures_AillegalSeek_(OBJ);OBJ __AUnixFailures_AillegalSeek_; /* illegalSeek? */
extern OBJ _AUnixFailures_AreadOnlyFileSys_(OBJ);OBJ __AUnixFailures_AreadOnlyFileSys_; /* readOnlyFileSys? */
extern OBJ _AUnixFailures_AtooManyLinks_(OBJ);OBJ __AUnixFailures_AtooManyLinks_; /* tooManyLinks? */
extern OBJ _AUnixFailures_AbrokenPipe_(OBJ);OBJ __AUnixFailures_AbrokenPipe_; /* brokenPipe? */
extern OBJ _AUnixFailures_AnameTooLong_(OBJ);OBJ __AUnixFailures_AnameTooLong_; /* nameTooLong? */
extern OBJ _AUnixFailures_AdirectoryNotEmpty_(OBJ);OBJ __AUnixFailures_AdirectoryNotEmpty_; /* directoryNotEmpty? */
extern OBJ _AUnixFailures_Adeadlock_(OBJ);OBJ __AUnixFailures_Adeadlock_; /* deadlock? */
extern OBJ _AUnixFailures_AnoRecordLocks_(OBJ);OBJ __AUnixFailures_AnoRecordLocks_; /* noRecordLocks? */
extern OBJ _AUnixFailures_AnotImplemented_(OBJ);OBJ __AUnixFailures_AnotImplemented_; /* notImplemented? */
extern OBJ _AUnixFailures_AsomeError_(OBJ);OBJ __AUnixFailures_AsomeError_; /* someError? */
OBJ __AUnixFailures_AnotOwner; /* notOwner */
OBJ __AUnixFailures_AnoEntity; /* noEntity */
OBJ __AUnixFailures_AnoSuchProcess; /* noSuchProcess */
OBJ __AUnixFailures_AinterruptedSystemCall; /* interruptedSystemCall */
OBJ __AUnixFailures_AioError; /* ioError */
OBJ __AUnixFailures_AnoSuchDeviceOrAddr; /* noSuchDeviceOrAddr */
OBJ __AUnixFailures_AargListToLong; /* argListToLong */
OBJ __AUnixFailures_AexecFormat; /* execFormat */
OBJ __AUnixFailures_AbadFileNumber; /* badFileNumber */
OBJ __AUnixFailures_AnoChildren; /* noChildren */
OBJ __AUnixFailures_AnoMoreProcesses; /* noMoreProcesses */
OBJ __AUnixFailures_AnotEnoughMemory; /* notEnoughMemory */
OBJ __AUnixFailures_ApermissionDenied; /* permissionDenied */
OBJ __AUnixFailures_AbadAddress; /* badAddress */
OBJ __AUnixFailures_AdeviceBusy; /* deviceBusy */
OBJ __AUnixFailures_AfileExists; /* fileExists */
OBJ __AUnixFailures_AcrossDeviceLink; /* crossDeviceLink */
OBJ __AUnixFailures_AnoSuchDevice; /* noSuchDevice */
OBJ __AUnixFailures_AnoDirectory; /* noDirectory */
OBJ __AUnixFailures_AisDirectory; /* isDirectory */
OBJ __AUnixFailures_AinvalidArgument; /* invalidArgument */
OBJ __AUnixFailures_AfileTableOverflow; /* fileTableOverflow */
OBJ __AUnixFailures_AtooManyOpenFiles; /* tooManyOpenFiles */
OBJ __AUnixFailures_AnoTTY; /* noTTY */
OBJ __AUnixFailures_AfileTooLarge; /* fileTooLarge */
OBJ __AUnixFailures_AnoSpaceOnDevice; /* noSpaceOnDevice */
OBJ __AUnixFailures_AillegalSeek; /* illegalSeek */
OBJ __AUnixFailures_AreadOnlyFileSys; /* readOnlyFileSys */
OBJ __AUnixFailures_AtooManyLinks; /* tooManyLinks */
OBJ __AUnixFailures_AbrokenPipe; /* brokenPipe */
OBJ __AUnixFailures_AnameTooLong; /* nameTooLong */
OBJ __AUnixFailures_AdirectoryNotEmpty; /* directoryNotEmpty */
OBJ __AUnixFailures_Adeadlock; /* deadlock */
OBJ __AUnixFailures_AnoRecordLocks; /* noRecordLocks */
OBJ __AUnixFailures_AnotImplemented; /* notImplemented */
OBJ __AUnixFailures_AsomeError; /* someError */

#include "UnixFailures.hc.c"

extern OBJ _AUnixFailures_AnotOwner_(OBJ x1) /* notOwner? */
{OBJ r;
 CPPRD(__AUnixFailures_AnotOwner,1);
 r=_AEQUALITY_2(x1,__AUnixFailures_AnotOwner);
 return r;}

extern OBJ _AUnixFailures_AnoEntity_(OBJ x1) /* noEntity? */
{OBJ r;
 CPPRD(__AUnixFailures_AnoEntity,1);
 r=_AEQUALITY_2(x1,__AUnixFailures_AnoEntity);
 return r;}

extern OBJ _AUnixFailures_AnoSuchProcess_(OBJ x1) /* noSuchProcess? */
{OBJ r;
 CPPRD(__AUnixFailures_AnoSuchProcess,1);
 r=_AEQUALITY_2(x1,__AUnixFailures_AnoSuchProcess);
 return r;}

extern OBJ _AUnixFailures_AinterruptedSystemCall_(OBJ x1) /* interruptedSystemCall? */
{OBJ r;
 CPPRD(__AUnixFailures_AinterruptedSystemCall,1);
 r=_AEQUALITY_2(x1,__AUnixFailures_AinterruptedSystemCall);
 return r;}

extern OBJ _AUnixFailures_AioError_(OBJ x1) /* ioError? */
{OBJ r;
 CPPRD(__AUnixFailures_AioError,1);
 r=_AEQUALITY_2(x1,__AUnixFailures_AioError);
 return r;}

extern OBJ _AUnixFailures_AnoSuchDeviceOrAddr_(OBJ x1) /* noSuchDeviceOrAddr? */
{OBJ r;
 CPPRD(__AUnixFailures_AnoSuchDeviceOrAddr,1);
 r=_AEQUALITY_2(x1,__AUnixFailures_AnoSuchDeviceOrAddr);
 return r;}

extern OBJ _AUnixFailures_AargListToLong_(OBJ x1) /* argListToLong? */
{OBJ r;
 CPPRD(__AUnixFailures_AargListToLong,1);
 r=_AEQUALITY_2(x1,__AUnixFailures_AargListToLong);
 return r;}

extern OBJ _AUnixFailures_AexecFormat_(OBJ x1) /* execFormat? */
{OBJ r;
 CPPRD(__AUnixFailures_AexecFormat,1);
 r=_AEQUALITY_2(x1,__AUnixFailures_AexecFormat);
 return r;}

extern OBJ _AUnixFailures_AbadFileNumber_(OBJ x1) /* badFileNumber? */
{OBJ r;
 CPPRD(__AUnixFailures_AbadFileNumber,1);
 r=_AEQUALITY_2(x1,__AUnixFailures_AbadFileNumber);
 return r;}

extern OBJ _AUnixFailures_AnoChildren_(OBJ x1) /* noChildren? */
{OBJ r;
 CPPRD(__AUnixFailures_AnoChildren,1);
 r=_AEQUALITY_2(x1,__AUnixFailures_AnoChildren);
 return r;}

extern OBJ _AUnixFailures_AnoMoreProcesses_(OBJ x1) /* noMoreProcesses? */
{OBJ r;
 CPPRD(__AUnixFailures_AnoMoreProcesses,1);
 r=_AEQUALITY_2(x1,__AUnixFailures_AnoMoreProcesses);
 return r;}

extern OBJ _AUnixFailures_AnotEnoughMemory_(OBJ x1) /* notEnoughMemory? */
{OBJ r;
 CPPRD(__AUnixFailures_AnotEnoughMemory,1);
 r=_AEQUALITY_2(x1,__AUnixFailures_AnotEnoughMemory);
 return r;}

extern OBJ _AUnixFailures_ApermissionDenied_(OBJ x1) /* permissionDenied? */
{OBJ r;
 CPPRD(__AUnixFailures_ApermissionDenied,1);
 r=_AEQUALITY_2(x1,__AUnixFailures_ApermissionDenied);
 return r;}

extern OBJ _AUnixFailures_AbadAddress_(OBJ x1) /* badAddress? */
{OBJ r;
 CPPRD(__AUnixFailures_AbadAddress,1);
 r=_AEQUALITY_2(x1,__AUnixFailures_AbadAddress);
 return r;}

extern OBJ _AUnixFailures_AdeviceBusy_(OBJ x1) /* deviceBusy? */
{OBJ r;
 CPPRD(__AUnixFailures_AdeviceBusy,1);
 r=_AEQUALITY_2(x1,__AUnixFailures_AdeviceBusy);
 return r;}

extern OBJ _AUnixFailures_AfileExists_(OBJ x1) /* fileExists? */
{OBJ r;
 CPPRD(__AUnixFailures_AfileExists,1);
 r=_AEQUALITY_2(x1,__AUnixFailures_AfileExists);
 return r;}

extern OBJ _AUnixFailures_AcrossDeviceLink_(OBJ x1) /* crossDeviceLink? */
{OBJ r;
 CPPRD(__AUnixFailures_AcrossDeviceLink,1);
 r=_AEQUALITY_2(x1,__AUnixFailures_AcrossDeviceLink);
 return r;}

extern OBJ _AUnixFailures_AnoSuchDevice_(OBJ x1) /* noSuchDevice? */
{OBJ r;
 CPPRD(__AUnixFailures_AnoSuchDevice,1);
 r=_AEQUALITY_2(x1,__AUnixFailures_AnoSuchDevice);
 return r;}

extern OBJ _AUnixFailures_AnoDirectory_(OBJ x1) /* noDirectory? */
{OBJ r;
 CPPRD(__AUnixFailures_AnoDirectory,1);
 r=_AEQUALITY_2(x1,__AUnixFailures_AnoDirectory);
 return r;}

extern OBJ _AUnixFailures_AisDirectory_(OBJ x1) /* isDirectory? */
{OBJ r;
 CPPRD(__AUnixFailures_AisDirectory,1);
 r=_AEQUALITY_2(x1,__AUnixFailures_AisDirectory);
 return r;}

extern OBJ _AUnixFailures_AinvalidArgument_(OBJ x1) /* invalidArgument? */
{OBJ r;
 CPPRD(__AUnixFailures_AinvalidArgument,1);
 r=_AEQUALITY_2(x1,__AUnixFailures_AinvalidArgument);
 return r;}

extern OBJ _AUnixFailures_AfileTableOverflow_(OBJ x1) /* fileTableOverflow? */
{OBJ r;
 CPPRD(__AUnixFailures_AfileTableOverflow,1);
 r=_AEQUALITY_2(x1,__AUnixFailures_AfileTableOverflow);
 return r;}

extern OBJ _AUnixFailures_AtooManyOpenFiles_(OBJ x1) /* tooManyOpenFiles? */
{OBJ r;
 CPPRD(__AUnixFailures_AtooManyOpenFiles,1);
 r=_AEQUALITY_2(x1,__AUnixFailures_AtooManyOpenFiles);
 return r;}

extern OBJ _AUnixFailures_AnoTTY_(OBJ x1) /* noTTY? */
{OBJ r;
 CPPRD(__AUnixFailures_AnoTTY,1);
 r=_AEQUALITY_2(x1,__AUnixFailures_AnoTTY);
 return r;}

extern OBJ _AUnixFailures_AfileTooLarge_(OBJ x1) /* fileTooLarge? */
{OBJ r;
 CPPRD(__AUnixFailures_AfileTooLarge,1);
 r=_AEQUALITY_2(x1,__AUnixFailures_AfileTooLarge);
 return r;}

extern OBJ _AUnixFailures_AnoSpaceOnDevice_(OBJ x1) /* noSpaceOnDevice? */
{OBJ r;
 CPPRD(__AUnixFailures_AnoSpaceOnDevice,1);
 r=_AEQUALITY_2(x1,__AUnixFailures_AnoSpaceOnDevice);
 return r;}

extern OBJ _AUnixFailures_AillegalSeek_(OBJ x1) /* illegalSeek? */
{OBJ r;
 CPPRD(__AUnixFailures_AillegalSeek,1);
 r=_AEQUALITY_2(x1,__AUnixFailures_AillegalSeek);
 return r;}

extern OBJ _AUnixFailures_AreadOnlyFileSys_(OBJ x1) /* readOnlyFileSys? */
{OBJ r;
 CPPRD(__AUnixFailures_AreadOnlyFileSys,1);
 r=_AEQUALITY_2(x1,__AUnixFailures_AreadOnlyFileSys);
 return r;}

extern OBJ _AUnixFailures_AtooManyLinks_(OBJ x1) /* tooManyLinks? */
{OBJ r;
 CPPRD(__AUnixFailures_AtooManyLinks,1);
 r=_AEQUALITY_2(x1,__AUnixFailures_AtooManyLinks);
 return r;}

extern OBJ _AUnixFailures_AbrokenPipe_(OBJ x1) /* brokenPipe? */
{OBJ r;
 CPPRD(__AUnixFailures_AbrokenPipe,1);
 r=_AEQUALITY_2(x1,__AUnixFailures_AbrokenPipe);
 return r;}

extern OBJ _AUnixFailures_AnameTooLong_(OBJ x1) /* nameTooLong? */
{OBJ r;
 CPPRD(__AUnixFailures_AnameTooLong,1);
 r=_AEQUALITY_2(x1,__AUnixFailures_AnameTooLong);
 return r;}

extern OBJ _AUnixFailures_AdirectoryNotEmpty_(OBJ x1) /* directoryNotEmpty? */
{OBJ r;
 CPPRD(__AUnixFailures_AdirectoryNotEmpty,1);
 r=_AEQUALITY_2(x1,__AUnixFailures_AdirectoryNotEmpty);
 return r;}

extern OBJ _AUnixFailures_Adeadlock_(OBJ x1) /* deadlock? */
{OBJ r;
 CPPRD(__AUnixFailures_Adeadlock,1);
 r=_AEQUALITY_2(x1,__AUnixFailures_Adeadlock);
 return r;}

extern OBJ _AUnixFailures_AnoRecordLocks_(OBJ x1) /* noRecordLocks? */
{OBJ r;
 CPPRD(__AUnixFailures_AnoRecordLocks,1);
 r=_AEQUALITY_2(x1,__AUnixFailures_AnoRecordLocks);
 return r;}

extern OBJ _AUnixFailures_AnotImplemented_(OBJ x1) /* notImplemented? */
{OBJ r;
 CPPRD(__AUnixFailures_AnotImplemented,1);
 r=_AEQUALITY_2(x1,__AUnixFailures_AnotImplemented);
 return r;}

extern OBJ _AUnixFailures_AsomeError_(OBJ x1) /* someError? */
{OBJ r;
 CPPRD(__AUnixFailures_AsomeError,1);
 r=_AEQUALITY_2(x1,__AUnixFailures_AsomeError);
 return r;}

init_AUnixFailures()
{
 static int visited=0; if(visited) return; visited=1;
 init_ACom();
 init_ANat();
 init_AVoid();
 init_ASeq();
 init_AOption();
 init_AEQUALITY();
 init_ASeqMap();
 CLS(1,_AUnixFailures_31,__AUnixFailures_31);
 CLS(1,_AUnixFailures_30,__AUnixFailures_30);
 CLS(1,_AUnixFailures_29,__AUnixFailures_29);
 CLS(1,_AUnixFailures_28,__AUnixFailures_28);
 CLS(1,_AUnixFailures_27,__AUnixFailures_27);
 CLS(1,_AUnixFailures_26,__AUnixFailures_26);
 CLS(1,_AUnixFailures_25,__AUnixFailures_25);
 CLS(1,_AUnixFailures_24,__AUnixFailures_24);
 CLS(1,_AUnixFailures_23,__AUnixFailures_23);
 CLS(1,_AUnixFailures_22,__AUnixFailures_22);
 CLS(1,_AUnixFailures_21,__AUnixFailures_21);
 CLS(1,_AUnixFailures_20,__AUnixFailures_20);
 CLS(1,_AUnixFailures_19,__AUnixFailures_19);
 CLS(1,_AUnixFailures_18,__AUnixFailures_18);
 CLS(1,_AUnixFailures_17,__AUnixFailures_17);
 CLS(1,_AUnixFailures_16,__AUnixFailures_16);
 CLS(1,_AUnixFailures_15,__AUnixFailures_15);
 CLS(1,_AUnixFailures_14,__AUnixFailures_14);
 CLS(1,_AUnixFailures_13,__AUnixFailures_13);
 CLS(1,_AUnixFailures_12,__AUnixFailures_12);
 CLS(1,_AUnixFailures_11,__AUnixFailures_11);
 CLS(1,_AUnixFailures_10,__AUnixFailures_10);
 CLS(1,_AUnixFailures_9,__AUnixFailures_9);
 CLS(1,_AUnixFailures_8,__AUnixFailures_8);
 CLS(1,_AUnixFailures_7,__AUnixFailures_7);
 CLS(1,_AUnixFailures_6,__AUnixFailures_6);
 CLS(1,_AUnixFailures_5,__AUnixFailures_5);
 CLS(1,_AUnixFailures_37,__AUnixFailures_37);
 CLS(1,_AUnixFailures_4,__AUnixFailures_4);
 CLS(1,_AUnixFailures_36,__AUnixFailures_36);
 CLS(1,_AUnixFailures_3,__AUnixFailures_3);
 CLS(1,_AUnixFailures_35,__AUnixFailures_35);
 CLS(1,_AUnixFailures_2,__AUnixFailures_2);
 CLS(1,_AUnixFailures_34,__AUnixFailures_34);
 CLS(1,_AUnixFailures_33,__AUnixFailures_33);
 CLS(1,_AUnixFailures_32,__AUnixFailures_32);
 init_const_AUnixFailures();}

